Subject: [pim] Query on Upstream(S,G,rpt) State machine for triggered messages

From: "Bandi, Sarveshwar" <[email-masked]>
Date: Wed, 18 Dec 2002 04:42:17 -0500

Hi,
In the state machine for (S,G,rpt) triggered messages (Section 4.5.9) the
state tranistions from "RPTNotJoined" to "Not Pruned" occurs when
"inherited_olist(S,G,rpt)--> NON-NULL" and the reverse state tranistion from
"Not Pruned" to "RPTNotJoined" occurs when "RPTJoinDesired(G)-->False". My
question is why shouldnt we use the "RPTJoinDesired(G)--> TRUE" event for
the former state tranistion (i.e) from "RPTNotJoined" to "Not Pruned".
Doesnt this event itself convey that we have joined the RPT and thus should
be in the Not Pruned state? 

Thanks and Regards,

Sarveshwar Bandi

Senior Member, Technical Staff
Netplane Network Technologies (India) Pvt. Ltd.
http://www.netplane.com
Ph: +91-40-355 3709/10/11/12 Extn: 1126
Fax: +91-40-355 3713

_______________________________________________
pim mailing list
[email-masked]
http://catarina.usc.edu/mailman/listinfo/pim

---

From: Pavlin Radoslavov <[email-masked]>
Date: Wed, 18 Dec 2002 15:29:16 -0800

> be in the Not Pruned state? 

My guess is:

 (a) We want the "Not Pruned" to "RPTNotJoined" transaction to occur
  when "RPTJoinDesired(G)-->False", because the "RPTNotJoined" state
  is the equivalent of the state when we don't need the (S,G,rpt)
  state. Keeping the (S,G,rpt) state makes sense only if there is
  (*,G) or (*,*,RP) Join, hence the "granularity" of this
  transaction happening is "per (*,G)" or "per (*,*,RP)"
  (by "granularity" here I mean that it happens when there is (*,G)
  or (*,*,RP)-specific event such as (*,*,RP) or (*,G) Join).

  (b) The "RPTNotJoined" to "Not Pruned" transaction uses the
  "inherited_olist(S,G,rpt)--> NON-NULL" event, because for
  data forwarding purpose the granularity is "per source-group", and
  therefore it needs to consider things like "lost_assert(S,G,rpt)"
  which are used in the computation of "inherited_olist(S,G,rpt),
  but are NOT used in the computation of "RPTJoinDesired(G)"

Regards,
Pavlin